LibreOffice: InteractionHandler Service Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
InteractionHandler Service Referencepublished

An interaction request handler that lets the user handle a number of well known requests via GUI dialogs. More...

`import "InteractionHandler.idl";`

Inheritance diagram for InteractionHandler:

## Exported Interfaces
interface | com::sun::star::task::XInteractionHandler
| Handle an interaction request.
interface | com::sun::star::lang::XInitialization
| Initialize the interaction handler.

## Additional Inherited Members
Public Member Functions inherited from XInteractionHandler
void | handle ([in] com::sun::star::task::XInteractionRequest Request)
| Handle an interaction request.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object.

## Detailed Description

An interaction request handler that lets the user handle a number of well known requests via GUI dialogs.

The well known requests handled by this service include

- MergeRecoveryRequest*

The requests marked with an asterisk are only handled if (a) their continuations match certain restrictions (see below), and (b) the necessary resource strings are available (this can be exploited by applications that carry only a subset of all resource files with them).

The continuation restrictions are as follows: Let C be the subset of the provided continuations that are of type com::sun::star::task::XInteractionApprove, com::sun::star::task::XInteractionDisapprove, com::sun::star::task::XInteractionRetry, or com::sun::star::task::XInteractionAbort (or of a derived type). All other continuations are ignored for these requests. The request is only handled if the set C is any of the following:

- Abort
- Retry, Abort
- Approve
- Approve, Abort
- Approve, Disapprove
- Approve, Disapprove, Abort

Since
  OOo 2.0

See also
  com::sun::star::task::InteractionHandler

## Exported Interfaces

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

Initialize the interaction handler.

The arguments must be a sequence of com::sun::star::beans::PropertyValues. The currently supported properties are:

- `"Parent"` of type com::sun::star::awt::XWindow denotes the parent window for any GUI dialogs the interaction handler pops up; it is strongly recommended that this property is supplied;
- `"Context"` of type string is a textual description of the current context (used, e.g., as a first line of text in error boxes); this property is optional.

## ◆ com::sun::star::task::XInteractionHandler

interface com::sun::star::task::XInteractionHandler

Handle an interaction request.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/InteractionHandler.idl